# GimpUi.SpinScale

    from gi.repository import GimpUi

    spin_scale = GimpUi.SpinScale(label=value)

## Hierarchy

- GObject.Object
  - GObject.InitiallyUnowned
    - Gtk.Widget
      - Gtk.Entry
        - Gtk.SpinButton
          - GimpUi.SpinButton
            - GimpUi.SpinScale

## Methods

- GimpUi.SpinScale.get_constrain_drag
- GimpUi.SpinScale.get_gamma
- GimpUi.SpinScale.get_label
- GimpUi.SpinScale.get_mnemonic_keyval
- GimpUi.SpinScale.get_scale_limits
- GimpUi.SpinScale.set_constrain_drag
- GimpUi.SpinScale.set_gamma
- GimpUi.SpinScale.set_label
- GimpUi.SpinScale.set_scale_limits
- GimpUi.SpinScale.unset_scale_limits

## Properties

- label